/**
 * RSSH 部件模型
 *
 * @export
 * @class RSSHModel
 */
export default class RSSHModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof RSSHModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'orgsectorid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'orgsectorname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'orgid',
        prop: 'orgid',
        dataType: 'PICKUP',
      },
      {
        name: 'ordervalue',
        prop: 'ordervalue',
        dataType: 'INT',
      },
      {
        name: 'orgsectorname',
        prop: 'orgsectorname',
        dataType: 'TEXT',
      },
      {
        name: 'orgcode',
        prop: 'orgcode',
        dataType: 'TEXT',
      },
      {
        name: 'shortname',
        prop: 'shortname',
        dataType: 'TEXT',
      },
      {
        name: 'xmblx',
        prop: 'xmblx',
        dataType: 'SSCODELIST',
      },
      {
        name: 'orgname',
        prop: 'orgname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'bmlx',
        prop: 'bmlx',
        dataType: 'SSCODELIST',
      },
      {
        name: 'approvalstatus',
        prop: 'approvalstatus',
        dataType: 'SSCODELIST',
      },
      {
        name: 'editionstate',
        prop: 'editionstate',
        dataType: 'SSCODELIST',
      },
      {
        name: 'edition',
        prop: 'edition',
        dataType: 'FLOAT',
      },
      {
        name: 'oldid',
        prop: 'oldid',
        dataType: 'TEXT',
      },
      {
        name: 'ormxmglid',
        prop: 'ormxmglid',
        dataType: 'PICKUP',
      },
      {
        name: 'ormxmglname',
        prop: 'ormxmglname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'xmbh',
        prop: 'xmbh',
        dataType: 'PICKUPDATA',
      },
      {
        name: 'gcmcjbm',
        prop: 'gcmcjbm',
        dataType: 'TEXT',
      },
      {
        name: 'xmjbqk',
        prop: 'xmjbqk',
        dataType: 'TEXT',
      },
      {
        name: 'xmlx',
        prop: 'xmlx',
        dataType: 'TEXT',
      },
      {
        name: 'xmlxqt',
        prop: 'xmlxqt',
        dataType: 'TEXT',
      },
      {
        name: 'proleaderid',
        prop: 'proleaderid',
        dataType: 'PICKUP',
      },
      {
        name: 'pimpersonid',
        prop: 'pimpersonid',
        dataType: 'PICKUP',
      },
      {
        name: 'pimpersonname',
        prop: 'pimpersonname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'proleadername',
        prop: 'proleadername',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'jhcb',
        prop: 'jhcb',
        dataType: 'FLOAT',
      },
      {
        name: 'dxmjlyq',
        prop: 'dxmjlyq',
        dataType: 'TEXT',
      },
      {
        name: 'dxmzgyq',
        prop: 'dxmzgyq',
        dataType: 'TEXT',
      },
      {
        name: 'gqap',
        prop: 'gqap',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'orgsectorid',
        prop: 'orgsectorid',
        dataType: 'GUID',
      },
      {
        name: 'ormorgsector',
        prop: 'orgsectorid',
        dataType: 'FONTKEY',
      },
    ]
  }

}