/**
 * SetProLeader 部件模型
 *
 * @export
 * @class SetProLeaderModel
 */
export default class SetProLeaderModel {

	/**
	 * 是否是实体数据导出
	 *
	 * @returns {any[]}
	 * @memberof SetProLeaderGridMode
	 */
	public isDEExport: boolean = false;

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof SetProLeaderGridMode
	 */
	public getDataItems(): any[] {
    if(this.isDEExport){
		  return [
      ]
    }else{
		  return [
        {
          name: 'edition',
          prop: 'edition',
          dataType: 'FLOAT',
        },
        {
          name: 'approvalstatus',
          prop: 'approvalstatus',
          dataType: 'SSCODELIST',
        },
        {
          name: 'gcmcjbm',
          prop: 'gcmcjbm',
          dataType: 'TEXT',
        },
        {
          name: 'belongregion',
          prop: 'belongregion',
          dataType: 'SSCODELIST',
        },
        {
          name: 'engineeringscale',
          prop: 'engineeringscale',
          dataType: 'PICKUPDATA',
        },
        {
          name: 'oldid',
          prop: 'oldid',
          dataType: 'TEXT',
        },
        {
          name: 'bmlx',
          prop: 'bmlx',
          dataType: 'SSCODELIST',
        },
        {
          name: 'srfmajortext',
          prop: 'orgsectorname',
          dataType: 'TEXT',
        },
        {
          name: 'srfdataaccaction',
          prop: 'orgsectorid',
          dataType: 'GUID',
        },
        {
          name: 'srfkey',
          prop: 'orgsectorid',
          dataType: 'GUID',
        },
        {
          name: 'startstopsign',
          prop: 'startstopsign',
          dataType: 'SSCODELIST',
        },
        {
          name: 'orgcode',
          prop: 'orgcode',
          dataType: 'TEXT',
        },
        {
          name: 'orgid',
          prop: 'orgid',
          dataType: 'PICKUP',
        },
        {
          name: 'ormxmglname',
          prop: 'ormxmglname',
          dataType: 'PICKUPTEXT',
        },
        {
          name: 'orgname',
          prop: 'orgname',
          dataType: 'PICKUPTEXT',
        },
        {
          name: 'qy',
          prop: 'qy',
          dataType: 'SSCODELIST',
        },
        {
          name: 'ormxmglid',
          prop: 'ormxmglid',
          dataType: 'PICKUP',
        },
        {
          name: 'shortname',
          prop: 'shortname',
          dataType: 'TEXT',
        },
        {
          name: 'ordervalue',
          prop: 'ordervalue',
          dataType: 'INT',
        },
        {
          name: 'orgsectorid',
          prop: 'orgsectorid',
          dataType: 'GUID',
        },
        {
          name: 'proleaderid',
          prop: 'proleaderid',
          dataType: 'PICKUP',
        },
        {
          name: 'pimpersonid',
          prop: 'pimpersonid',
          dataType: 'PICKUP',
        },
        {
          name: 'porgsectorid',
          prop: 'porgsectorid',
          dataType: 'PICKUP',
        },
        {
          name: 'belongou',
          prop: 'belongou',
          dataType: 'TEXT',
        },
        {
          name: 'prodepid',
          prop: 'prodepid',
          dataType: 'PICKUP',
        },
        {
          name: 'orgtype',
          prop: 'orgtype',
          dataType: 'TEXT',
        },
        {
          name: 'zzdzs',
          prop: 'zzdzs',
          dataType: 'PICKUPDATA',
        },
        {
          name: 'xmbh',
          prop: 'xmbh',
          dataType: 'PICKUPDATA',
        },
        {
          name: 'editionstate',
          prop: 'editionstate',
          dataType: 'SSCODELIST',
        },
        {
          name: 'orgsectorname',
          prop: 'orgsectorname',
          dataType: 'TEXT',
        },
        {
          name: 'xmblx',
          prop: 'xmblx',
          dataType: 'SSCODELIST',
        },
        {
          name: 'pimpersonname',
          prop: 'pimpersonname',
          dataType: 'PICKUPTEXT',
        },
        {
          name: 'ormorgsector',
          prop: 'orgsectorid',
        },
      {
        name: 'n_zzdzs_like',
        prop: 'n_zzdzs_like',
        dataType: 'PICKUPDATA',
      },
      {
        name: 'n_orgsectorname_like',
        prop: 'n_orgsectorname_like',
        dataType: 'TEXT',
      },

        {
          name:'size',
          prop:'size'
        },
        {
          name:'query',
          prop:'query'
        },
        {
          name:'page',
          prop:'page'
        },
        {
          name:'sort',
          prop:'sort'
        },
        {
          name:'srfparentdata',
          prop:'srfparentdata'
        },
        // 前端新增修改标识，新增为"0",修改为"1"或未设值
        {
          name: 'srffrontuf',
          prop: 'srffrontuf',
          dataType: 'TEXT',
        },
      ]
    }
  }

}